Users
Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'
GET /v1/partner-portals/{portalId}/users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"paging": {
"next": {
"after": "text"
}
},
"data": [
{
"id": "text",
"first_name": "text",
"last_name": "text",
"email": "text",
"last_logged_at": "text"
}
]
}Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'
Unique ID for the Portal User.
First name of the User.
Last name of the User.
Email of the User.
Last login date and time of the user (ISO 8601 format)
GET /v1/partner-portals/{portalId}/users/{userId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"first_name": "text",
"last_name": "text",
"email": "text",
"last_logged_at": "text"
}Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'
When set, this will be the password of the User that he/she can use at the first connection.
Contains the list of Role Ids that should be granted to this Portal User
User locale, used for time and numbers formatting.
en_USUnique ID for the Portal User.
First name of the User.
Last name of the User.
Email of the User.
Last login date and time of the user (ISO 8601 format)
POST /v1/partner-portals/{portalId}/users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151
{
"first_name": "text",
"last_name": "text",
"email": "text",
"password": "text",
"roles": [
"text"
],
"locale": "en_US",
"attributes": [
{
"id": "text",
"value": "text"
}
]
}{
"id": "text",
"first_name": "text",
"last_name": "text",
"email": "text",
"last_logged_at": "text"
}Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'
DELETE /v1/partner-portals/{portalId}/users/{userId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"isDeleted": true
}Last updated